astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- BaseRepresentation

# BaseRepresentation

class `astropy.coordinates.``BaseRepresentation`

  Bases: `object`

  Base Representation object, for representing a point in a 3D coordinate system.

  Notes

  All representation classes should subclass this base representation class. All subclasses should then define a `to_cartesian` method and a `from_cartesian` class method. By default, transformations are done via the cartesian system, but classes that want to define a smarter transformation path can overload the `represent_as` method. Furthermore, all classes must define an `attr_classes` attribute, an `OrderedDict` which maps component names to the class that creates them. They can also define a `recommended_units` dictionary, which maps component names to the units they are best presented to users in. Note that frame classes may override this with their own preferred units.

  Attributes Summary

  `components` | A tuple with the in-order names of the coordinate components
  `isscalar` |
  `recommended_units` |
  `shape` |

  Methods Summary

  `from_cartesian`() |
  `from_representation`(representation) |
  `get_name`() |
  `represent_as`(other_class) |
  `to_cartesian`() |

  Attributes Documentation

  `components`

    A tuple with the in-order names of the coordinate components

  `isscalar`
  `recommended_units` = {}
  `shape`

  Methods Documentation

  `from_cartesian`()
  classmethod `from_representation`(representation)
  classmethod `get_name`()
  `represent_as`(other_class)
  `to_cartesian`()